Skip to main content
GET
Get all Operations by account

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

organization_id
string
required

Organization ID (UUID)

ledger_id
string
required

Ledger ID (UUID)

account_id
string
required

Account ID (UUID)

Query Parameters

metadata
string

JSON string to filter operations by metadata fields

limit
string

Max items per page (max 100, default 10)

start_date
string

Filter operations created on/after this date (YYYY-MM-DD)

end_date
string

Filter operations created on/before this date (YYYY-MM-DD)

sort_order
string

Sort direction (asc, desc) for the chosen sort key

sort_by
string

Sort key (id, created_at). Default id. created_at orders by creation date, then id. A cursor is only valid with the sort key it was issued for

cursor
string

Opaque cursor token for pagination

type
string

Filter by operation type (DEBIT, CREDIT)

direction
string

Filter by direction (debit, credit)

route_id
string

Filter by operation route ID (UUID)

route_code
string

Filter by operation route code

Response

OK

items
any
required
limit
integer<int64>
required
Example:

10

next_cursor
string
Example:

"eyJpZCI6IjAxOTI..."

page
integer<int64>
Example:

1

prev_cursor
string
Example:

"eyJpZCI6IjAxOTE..."